/*@import url("_login-theme.scss"); */   
*:not(i) {
	font-family: "Work Sans", sans-serif;
}

body {
	margin: 0;
}

#page-content {
	height: calc(100vh - 49px);
    min-height: 740px;
}

#login {
	background: rgb(11,26, 100);
	background-image:url('/media/images/login/login_BG_magnit_blue.png');
	background-size:cover;
	max-height:415px;
    margin-bottom:180px;
}
#login_help #login {
	/*)margin-bottom:410px;*/
}
#login #logo {
	display:block;
	margin: 0 auto 40px auto;
    /* padding-top:65px; */
    padding-top: 50px;

    
}
#login main {
	background-color: #FFFFFF;
	padding:15px 25px 25px 25px;
	width:323px;
	margin:auto;
	border-radius:8px;
	box-shadow: 0 41px 84px 0 rgba(0, 0, 0, 0.25), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.20);
	/*-webkit-box-shadow: #999 0px 0px 7px;
	-moz-box-shadow: 0px 0px 7px #999;
	-khtml-box-shadow: 0px 0px 7px #999;*/
	position:relative;
	display: table; /* this line is important for IE11 fix on <main> tags - do not remove per WAND-156983 */
	color: #111C45;
}

#login .login-account-below {
	display: block;
	color: #606E85;
	font-size: 14px;
	font-style: normal;
	font-weight: 500;
	line-height: 24px; /* 171.429% */
	-webkit-font-smoothing: antialiased;
}

#login .mdc-text-field {
	height: 42px;
}

.visibility-icon-btn {
	background: transparent;
	border: none;
	position: relative;
    left: 285px;
    top: -32px;
	cursor: pointer;
	color: #2A394F;
}

.visibility-icon {
    color: #2A394F;
}

#login .mdc-text-field__icon {
	bottom: 8px;
	color: #2A394F;
}

#login label.mdc-floating-label {
	background: white;
    padding: 0 15px 0 15px;
	font-family: "Work Sans", sans-serif
}

#login h2 {
	white-space: nowrap;	
	color: #2A394F;
	font-family: "Work Sans", sans-serif;
	font-size: 21px;
	font-weight: 600;
	line-height: 28px;
	display: inline-block;
    vertical-align: 5px;
}

#login #passwordReset h2 {
	margin: 0 0 0 -10px;
}

#login .field-label {
	display:block;
	padding-bottom:5px;
	font-size:14px;
	font-weight:600;
	color:#2A394F;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	text-rendering: optimizeLegibility;
}

#login .field-label:after {
	content: '*';
	color: #C03939;
	font-size: 14px;
	font-style: normal;
	font-weight: 600;
	line-height: 24px;
}

#login .mdc-select--outlined { 
	margin-left: 0;
	border: none;
	height: 28px;
}
#login .mdc-select--outlined select {
	border-radius: 4px;
	outline: 1px solid transparent;
	transition: 300ms outline-color, border-color;
}
#login .mdc-select--outlined i {
	line-height: 28px;
	top: 0;
	color: #2A394F;
}

#login label {
	font-weight:bold;
	font-size:14px;
}
#login #loginButton {
    text-transform:capitalize;
	padding-top:10px;
	padding-bottom:10px;
    background: #293F96;
    border-radius: 4px;
    font-weight: 600;
    height: 42px;
    font-size: 16px;
	width: calc(100% + 20px);
    margin-left: -10px;
	transition: background 0.2s;
}

#login #loginButton:hover {
	background: #162a79;
}

.stroked-btn {
	height: 40px;
	line-height: 40px;
	border: 2px solid #293f96;
	border-radius: 4px;
	padding: 0 6px;
	font-weight: 600;
    font-size: 14px;
}

#login #pwdUpdate button {
	/*margin-top: 85px;*/
	/* 	margin-top: 60px; */
	background: transparent;
}
#loginXXX inputXXX {
	border-radius:5px;
	border:1px solid #CCCCCC;
	height:35px;
	padding: 0 5px 0 5px;
}
#loginXXX input[type="text"], #login input[type="password"], #secQuestions select {
	/* margin-left:-5px; */	
}

/* Helpdesk Button Start */
.internationalHelpdeskContactNumbersItem {
	display:flex;
	width: 33%;
	float: left;
	color: #2A394F;
}

#support-portal-btn, .text-btn {
	text-decoration: none;
	background: transparent;
	transition: background 0.2s;
	padding: 13px 14px;
	font-size: 14px;
    border-radius: 4px;
	color: #293F96;
}

#support-portal-btn svg {
	vertical-align: middle;
	margin-right: 4px;
}
#support-portal-btn:hover,  .text-btn:hover {
	text-decoration: none !important;
	background: rgb(241,243,254);
}
#support-portal-btn:active, .text-btn:active {
	text-decoration: none !important;
	background: rgb(221,224,243);
}
/* Helpdesk Button End  */

.back-icon-btn {
    margin-right: 12px;
    display: inline-block;
    border-radius: 50px;
    padding: 6px;
	box-sizing: border-box;
    width: 40px;
    height: 40px;
    line-height: 44px;
}

.modal-window {
  position: fixed;
  background-color: rgba(0,0,0,0.5);
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
  opacity: 0;
  pointer-events: none;
  transition: all 0.3s;
}
.modal-window:target {
  opacity: 1;
  pointer-events: auto;
}

#login #forgotPwd #helpdeskInfoDiv {
/* 	margin-top:385px; */
	width:305px;
	color:#606E85;
}

#forgotPwd .back-icon-btn {
	margin-left: -10px;
}
.helpdeskContactNumber {
	margin-top:80px !important;
	width:100%;
	margin:auto;
	text-align: center;
	font-weight: bold;
}

.helpdeskContactNumber i.material-icons {
	vertical-align: middle;
}

#login aside {
	position: absolute;
    top: 400px;
	left: calc(50% + 200px);
	background:white;
	width:330px;
	padding:20px;
	height:auto;
	border-radius:8px;
	box-shadow: #999 0px 0px 7px;
	-webkit-box-shadow: #999 0px 0px 7px;
	-moz-box-shadow: 0px 0px 7px #999;
	-khtml-box-shadow: 0px 0px 7px #999;
}
.arrow-left {
	width: 0; 
	height: 0; 
	border-top: 10px solid transparent;
	border-bottom: 10px solid transparent; 
	margin:-10px 0 0 -28px;
	border-right:10px solid white;
}
#footer2 {
    width: 100%;
    height: 50px;
    line-height: 50px;
    font-size: 12px;
    text-align: center;
    text-transform: uppercase;
    color: #606E85;
}

#footer2 a {
	font-weight: 500;
	color: #3E5EDA;
}

/** ERRORS START **/

#login #div_wand_validation_errors {
	display:block;
    width: 325px;
    background-color: transparent;
    margin:0;
	margin-left: -3px;
}
#login #div_wand_validation_errors * {
	margin:0 !important;
}
#login #div_wand_validation_errors img,
#login #div_wand_validation_errors br,
#login #div_wand_validation_errors h4,
#login #div_wand_validation_errors .error {
	display: none;
}
#login #div_wand_validation_errors table {
	border: none !important;
	max-width:380px;
}
#login #loginMain #div_wand_validation_errors {
	top: 145px;
    left: 23px;
	width:350px;
}
#login #secQuestions #div_wand_validation_errors {
    top: 90px;
    left:19px;
}
#login #forgotPwd #div_wand_validation_errors {
    top: 128px;
    left: 35px;
    width: 170px;
}
#login #pwdUpdate #div_wand_validation_errors {    
    top: 420px;
    left:15px;
	width:335px;
}
#login #div_wand_validation_errors, #login #div_wand_validation_errors *, #login [id^="passwordStatus"] {
	color: #FE2851;
	font-family: "Work Sans", sans-serif;
	font-size: 12px;
	font-weight: 600 !important;
}
#login [id^="passwordStatus"] {
	display: block;
	height: 17px;
}
#login #div_wand_validation_errors td {
	padding: 0;
}

:root {
    --mdc-theme-error: #FE2851 !important;
}


/** ERRORS END **/

#login .mdc-text-field__input {
	font-family: 'Work Sans', sans-serif;
	font-size: 14px;
	font-weight: 600;
	padding-top: 13px;
	padding-bottom: 13px;
	color: #2A394F
}

#div_wand_validation_errors .mdc-text-field__input  {
	border:2px solid red!important;
}

/* form field hover state */
#login .mdc-text-field:hover .mdc-notched-outline .mdc-notched-outline__leading,
#login .mdc-text-field:hover .mdc-notched-outline .mdc-notched-outline__notch,
#login .mdc-text-field:hover .mdc-notched-outline__trailing {
    border-width: 2px;
	border-color: #000000de !important;
}

/* form field error state */
#login .mdc-text-field.mdc-text-field--invalid .mdc-notched-outline .mdc-notched-outline__leading,
#login .mdc-text-field.mdc-text-field--invalid .mdc-notched-outline .mdc-notched-outline__notch,
#login .mdc-text-field.mdc-text-field--invalid .mdc-notched-outline__trailing {
    border-width: 2px;
}

.mdc-text-field__input::placeholder {
	opacity: 1 !important;  /* Fixes bug to make placeholder visible */

	font-size: 14px;
	font-style: normal;
	font-weight: 500;
	font-family: 'Work Sans', sans-serif;
	color: #606E85;
	letter-spacing: 0;
}
.mdc-text-field__input::placeholder+div {
	color: #606E85;
}

/* select hover state */
#login .mdc-select--outlined:hover select {
	border-color: #000000de !important;
	outline-color: #000000de !important;
}

a {color:#293F96; text-decoration: none;}
a:hover {text-decoration: underline;}

.mat-icon-gray {color: #a8a8a8!important;}


/* Auto adjusts language dropdown based on length */
.language-select {
	padding-right: 20px;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 4px;
    border: 1px solid var(--refactor-magnit-transparent-neutral-20, rgba(56, 68, 86, 0.20));
    background: transparent;
    padding-left: 40px;
    font-weight: 600;
    margin-right: 0;
    margin-left: 8px;
    font-size: 12px;
	cursor: pointer;
	color: #111C45;
}

.mdc-select__icon {
    top: 5px;
    opacity: 1 !important;
	color: #111C45;
}

#compute_select {
  display: none;
}
/* END - Auto adjusts language dropdown based on length */

.g-recaptcha > div {
	margin: 0 auto 20px auto;
}


.trouble-btn-container {
	display: flex;
	flex-direction: row;
	justify-content: end;
	align-items: center;
	margin-top: 50px;
}

.trouble-btn-container a:hover {
	text-decoration: none;
	background: #e9f1ff;
}

.callout {
	border-radius: 4px;
	text-align: left;
	display: flex;
	align-content: center;
	padding: 11px 14px;
	gap: 1px;
}
.callout svg {
	width: 60px;
	margin-right: 12px;
	align-self: center;
}

.callout.error {
	background: #FEF2F0;
}

/* Tooltip container */
.tooltip {
  position: relative;
  display: inline-block;
  cursor: pointer;
}

/* Tooltip text */
.tooltiptext {
	visibility: hidden;
    background-color: #495569;
    color: #E3E5E8;
    text-align: center;
    padding: 0;
    border-radius: 2px;
    position: absolute;
    z-index: 1;
    font-size: 14px;
    width: 160px;
    bottom: calc(100% + 10px);
    left: 0;
}

/* Show the tooltip text on hover */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

.tooltip:hover .tooltiptext.bottom-pointer::after {
	content: " ";
	position: absolute;
	left: 17px !important;
	top: 100%;
	margin-left: -8px;
	border-width: 7px;
	border-style: solid;
	border-color: #495569 transparent transparent transparent;
	font-weight: 500;
    font-family: 'Work Sans', sans-serif !important;
}